Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039699
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-11-27 10:122018-12-11 20:22
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision6e5c6474aebe
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039699: SortingFilteringGridConfiguration is failing when it should be skipped

DescriptionThe SortingFilteringGridConfiguration is failing when it should be skipped. This test is designed to be skipped when there exists grid configurations apart from the default ones.

In that case, instead of being skipped, the test is failing.
Steps To Reproduce1) Go to the [Grid Configuration at Window/Tab/Field level] window
2) Create a new record in the header, for any tab of core
3) Run the SortingFilteringGridConfiguration test. Note that it fails with the following error trace:

org.junit.internal.AssumptionViolatedException: Number of custom grid configs: got: <1>, expected: is <0>
    at org.junit.Assume.assumeThat(Assume.java:118)
    at org.openbravo.test.views.SortingFilteringGridConfiguration.shouldExecuteOnlyIfThereIsNoGridConfig(SortingFilteringGridConfiguration.java:67)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:498)
    at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:47)
    at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
    at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:44)
    at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:24)
    at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:27)
    at org.junit.runners.ParentRunner.run(ParentRunner.java:309)
    at org.eclipse.jdt.internal.junit4.runner.JUnit4TestReference.run(JUnit4TestReference.java:86)
    at org.eclipse.jdt.internal.junit.runner.TestExecution.run(TestExecution.java:38)
    at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.runTests(RemoteTestRunner.java:538)
    at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.runTests(RemoteTestRunner.java:760)
    at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.run(RemoteTestRunner.java:460)
    at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.main(RemoteTestRunner.java:206)

java.lang.NullPointerException
    at org.openbravo.test.views.SortingFilteringGridConfiguration.cleanUp(SortingFilteringGridConfiguration.java:84)
    ....
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038319 closedshuehner Openbravo ERP Skip grid config related junit tests if any module shipping grid configuration is installed - part3 
related to design defect 0039360 closedgorka_gil Retail Modules Terminal Log : Improve log client with cashier actions and processes start/end info 
related to defect 0039725 closedalostale Openbravo ERP ViewGeneration fails in retail CI 

-  Notes
(0108121)
hgbot (developer)
2018-11-27 11:05

Repository: erp/devel/pi
Changeset: 6e5c6474aebed7fbc4a63269d52a3b46c1720797
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Nov 27 10:52:36 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/6e5c6474aebed7fbc4a63269d52a3b46c1720797 [^]

Fixes issue 39699: Avoid NPE when test is skipped

  When the assumption done in the @BeforeClass method is not fullfilled, then initialization of the "coreWasInDevelopment" variable is not done. In that case, a NPE was being thrown later in the @AfterClass method.

  Now we are just simply avoiding that NPE in the @AfterClass method.

---
M src-test/src/org/openbravo/test/views/SortingFilteringGridConfiguration.java
---
(0108179)
alostale (developer)
2018-11-30 11:16

reviewed + tested
(0108500)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-11-27 10:12 caristu New Issue
2018-11-27 10:12 caristu Assigned To => platform
2018-11-27 10:12 caristu Modules => Core
2018-11-27 10:12 caristu Triggers an Emergency Pack => No
2018-11-27 10:46 caristu Summary SortingFilteringGridConfiguration is failing instead of being skipped => SortingFilteringGridConfiguration is failing when it should be skipped
2018-11-27 10:46 caristu Description Updated View Revisions
2018-11-27 10:46 caristu Steps to Reproduce Updated View Revisions
2018-11-27 10:46 caristu Assigned To platform => caristu
2018-11-27 10:46 caristu Relationship added related to 0038319
2018-11-27 10:47 caristu Relationship added related to 0039360
2018-11-27 10:48 caristu Steps to Reproduce Updated View Revisions
2018-11-27 11:05 hgbot Checkin
2018-11-27 11:05 hgbot Note Added: 0108121
2018-11-27 11:05 hgbot Status new => resolved
2018-11-27 11:05 hgbot Resolution open => fixed
2018-11-27 11:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6e5c6474aebed7fbc4a63269d52a3b46c1720797 [^]
2018-11-27 11:05 caristu Review Assigned To => alostale
2018-11-30 11:16 alostale Note Added: 0108179
2018-11-30 11:16 alostale Status resolved => closed
2018-11-30 11:16 alostale Fixed in Version => 3.0PR19Q1
2018-11-30 15:06 alostale Relationship added related to 0039725
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108500


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker